Skip to main content
PUT
/
organizations
/
{organization_id}
/
addresses
/
{address_id}
Update Addresss
curl --request PUT \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/addresses/{address_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>",
  "content": {
    "countryCode": "DE",
    "addressType": "HAUSANSCHRIFT"
  }
}
'
import requests

url = "https://preview.intermezzo.ai/organizations/{organization_id}/addresses/{address_id}"

payload = {
    "address": "<string>",
    "content": {
        "countryCode": "DE",
        "addressType": "HAUSANSCHRIFT"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    address: '<string>',
    content: {countryCode: 'DE', addressType: 'HAUSANSCHRIFT'}
  })
};

fetch('https://preview.intermezzo.ai/organizations/{organization_id}/addresses/{address_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "address": "<string>",
  "components": {
    "formatted_address": "<string>",
    "street_number": "<string>",
    "road": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "postal_code_suffix": "<string>",
    "latitude": 123,
    "longitude": 123
  },
  "content": {
    "normalizedAddress": "<string>",
    "countryCode": "DE",
    "addressType": "HAUSANSCHRIFT"
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

address_id
required
organization_id
required

Body

application/json
address
string
required
content
DEAddressContentRequest · object
required

Response

Successful Response

id
string
required
address
string
required
components
AddressComponents · object
required
content
DEAddressContentResponse · object
required